Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.display.basic
Class ActiveURITip

    java.lang.Object
      java.awt.event.MouseAdapter
          org.crosswire.bibledesktop.display.basic.ActiveURITip

All Implemented Interfaces:
  MouseListener, MouseMotionListener, MouseWheelListener, EventListener, URIEventListener

    public class ActiveURITip

extends MouseAdapter
implements URIEventListener

How it works: 1. When mouse clicked with the right button on a link, show the popup tip. 2. Hide the tip when clicked anywhere else.

Author:
  Yingjie Lan
See Also:
  `for license details. The copyright to this program is held by its authors.`

Field Summary
`private org.crosswire.common.xml.Converter` | `converter`
`private int` | `lastb`
`private int` | `lastx`
`private int` | `lasty`
`private LazyHTMLEditorKit` | `lazykit`
`private JTextPane` | `owner`
`private Popup` | `popup`
`private JScrollPane` | `scrView`
`private TitledBorder` | `title`
`private JTextPane` | `txtView`

Constructor Summary
`ActiveURITip(JTextPane own, Dimension dim)`

Method Summary
`void` | `activateURI(URIEvent ev)` This method is called to indicate that an URI can be processed.
`void` | `enterURI(URIEvent ev)` This method is called to indicate that the mouse has entered the URI.
`(package private) void` | `hideTip()`
`(package private) boolean` | `interested(URIEvent ev)`
`void` | `leaveURI(URIEvent ev)` This method is called to indicate that the mouse has left the URI.
`void` | `mousePressed(MouseEvent e)`
`(package private) void` | `showTip()`
`void` | `updateText(URIEvent event)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseReleased, mouseWheelMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### owner

    private JTextPane owner

### lazykit

    private LazyHTMLEditorKit lazykit

### txtView

    private JTextPane txtView

### scrView

    private JScrollPane scrView

### title

    private TitledBorder title

### popup

    private Popup popup

### lastx

    private int lastx

### lasty

    private int lasty

### lastb

    private int lastb

### converter

    private org.crosswire.common.xml.Converter converter

Constructor Detail

### ActiveURITip

    public ActiveURITip(JTextPane own,
                        Dimension dim)

Method Detail

### updateText

    public void updateText(URIEvent event)

### showTip

    void showTip()

### hideTip

    void hideTip()

### interested

    boolean interested(URIEvent ev)

  Parameters:
    `ev` - if we are interested in this event

### activateURI

    public void activateURI(URIEvent ev)

  Description copied from interface: `URIEventListener`
  This method is called to indicate that an URI can be processed.

  Specified by:
    `activateURI` in interface `URIEventListener`
  Parameters:
    `ev` - Describes the URI

### enterURI

    public void enterURI(URIEvent ev)

  Description copied from interface: `URIEventListener`
  This method is called to indicate that the mouse has entered the URI.

  Specified by:
    `enterURI` in interface `URIEventListener`
  Parameters:
    `ev` - Describes the URI

### leaveURI

    public void leaveURI(URIEvent ev)

  Description copied from interface: `URIEventListener`
  This method is called to indicate that the mouse has left the URI.

  Specified by:
    `leaveURI` in interface `URIEventListener`
  Parameters:
    `ev` - Describes the URI

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `MouseAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD